[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Uploaded postgresql 6.4-0 (source i386 all) to master

I am happy to announce the first Debian release of PostgreSQL 6.4.

This is at least partly an experimental release.  Use with care!
You have to dump and upload your database; it is best to upgrade your
system to postgresql-6.2.15 before you upgrade to this package,
because that release of 6.3.2 contains a pg_dump program with many bug
fixes and extra features (I backported it from 6.4).  Using it should
save you many problems with the upgrade.

I don't know any way to enforce this upgrade procedure, since you need
to know about it before you install the package.  I have put 6.3.2-15 into
the stable release, so with luck, most people will take that root byr

Oliver Elphick
5th December 1998

Format: 1.5
Date: Thu, 03 Dec 1998 12:31:41 +0000
Source: postgresql
Binary: postgresql-pl ecpg libpgsql2 postgresql-dev postgresql-test libpgperl libpgtcl postgresql-contrib postgresql postgresql-doc
Architecture: source i386 all
Version: 6.4-0
Distribution: unstable
Urgency: low
Maintainer: Oliver Elphick <Oliver.Elphick@lfix.co.uk>
 ecpg       - Embedded SQL for PostgreSQL
 libpgperl  - Perl modules for PostgreSQL.
 libpgsql2  - Shared library libpq.so.2 for PostgreSQL
 libpgtcl   - Tcl/Tk library and front-end for PostgreSQL.
 postgresql - Object-relational SQL database, descended from POSTGRES.
 postgresql-contrib - Additional facilities for PostgreSQL
 postgresql-dev - Header files for libpq (postgresql library)
 postgresql-doc - Documentation for the PostgreSQL database.
 postgresql-pl - A procedural language for PostgreSQL
 postgresql-test - Regression test suite for PostgreSQL
 postgresql (6.4-0) unstable; urgency=low
   * New upstream release.
   * Renamed binary package libpgsql to libpgsql2, which contains libpq.so.2,
     to permit packages still to be linked against libpq.so.1.  The libpgsql
     package has been extracted from postgresql-6.3.2-15 and turned into
     a separate source package.
   * New binary package postgresql-pl - procedural language
   * New binary package postgresql-contrib - additional facilities.
     This excludes the linux start/stop scripts (whose function is
     performed by /etc/init.d/postgresql) and the OS/2 version of libpq.so.
   * New binary package postgresql-test - regression test suite.
   * Added README.debian to ecpg package to warn users to add
     /usr/include/postgresql to the include path when compiling
   * Moved ecpg executable to /usr/bin
   * Exported LANG in /etc/postgresql/init.d; this is required to make
     the use of LANG effective in the backend.
   * Cleared out empty directories from /usr/doc/  Fixes bug#22213
     and bug#27621
   * Altered getopt results variable from char to int in pg_wrapper.c,
     which fixes bug#29428
   * Correction to do.maintenance script (to enclose vacuum and its
     parameters in quotes). Fixes bug#29838
   * Enclosed all tested variables in destroyuser script in quotes.
     Fixes bug#29989 (I hope).
   * Changed /etc/cron.d/postgresql to text for existence of script.
     This stops cron trying to run a non-existent do.maintenance
     script, if the package has been removed but not purged. Fixes bug#27193
   * Use LD_LIBRARY_PATH to build properly when the libpq.so library
     does not yet exist. Fixes bug#30073. Thanks to Christian Meder
   * Changed do.maintenance to select databases by an SQL command rather
     than by listing the $PGDATA directory.
   * Repeated change to createuser script to exclude usernames that do
     not match the pattern '[a-zA-Z0-9_]+' This is because the GRANT
     bug still exists, which makes it impossible to grant privileges
     to such users.
 aff86d6ff1a895c0dddb5ca58182beac 805 misc optional postgresql_6.4-0.dsc
 6faab83e947b1ed10244183c3b216d44 5212978 misc optional postgresql_6.4.orig.tar.gz
 189f60e162e988a178614e0d368fe1a5 295995 misc optional postgresql_6.4-0.diff.gz
 08d1fd4a4070bff583af3a4570c8f431 1685070 doc optional postgresql-doc_6.4-0_all.deb
 1b88d49a31518b3f3d5503a612957847 748886 misc optional postgresql_6.4-0_i386.deb
 43e3d636652e23ed99642bc7b5e3c617 140370 devel optional postgresql-dev_6.4-0_i386.deb
 6442c2a090d3683a3292e2aa017af1d4 64522 libs optional libpgsql2_6.4-0_i386.deb
 4023b85a2727ef4395157e843684766c 48308 libs optional postgresql-pl_6.4-0_i386.deb
 6bc47dbe6e667b535b5db6599dc30238 92440 libs optional libpgtcl_6.4-0_i386.deb
 878aab097a7269767c70497c27ee6ea8 63466 libs optional libpgperl_6.4-0_i386.deb
 014eccffe4496f55bfdbfce0adb9a2f5 92430 libs optional ecpg_6.4-0_i386.deb
 19b82610b79337517b1642043007306e 22816 misc optional postgresql-contrib_6.4-0_i386.deb
 c8cd6f742889d7035a320bc6248bbb23 772166 misc extra postgresql-test_6.4-0_i386.deb

Version: 2.6.3ia
Charset: noconv
Comment: Requires PGP version 2.6 or later.


Reply to: